Skip to main content
POST
/
users
/
search
/
filter-by-email
Filter Users by Email
curl --request POST \
  --url https://services.leadconnectorhq.com/users/search/filter-by-email \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'Version: <version>' \
  --data '
{
  "companyId": "5DP41231LkQsiKESj6rh",
  "emails": "user1@example.com,user2@example.com",
  "deleted": false,
  "skip": "1",
  "limit": "10",
  "projection": "all"
}
'
{
  "users": [
    {
      "id": "0IHuJvc2ofPAAA8GzTRi",
      "name": "John Deo",
      "firstName": "John",
      "lastName": "Deo",
      "email": "john@deo.com",
      "phone": "+1 808-868-8888",
      "extension": "",
      "permissions": {
        "campaignsEnabled": true,
        "campaignsReadOnly": false,
        "contactsEnabled": true,
        "workflowsEnabled": true,
        "workflowsReadOnly": true,
        "triggersEnabled": true,
        "funnelsEnabled": true,
        "websitesEnabled": false,
        "opportunitiesEnabled": true,
        "dashboardStatsEnabled": true,
        "bulkRequestsEnabled": true,
        "appointmentsEnabled": true,
        "reviewsEnabled": true,
        "onlineListingsEnabled": true,
        "phoneCallEnabled": true,
        "conversationsEnabled": true,
        "assignedDataOnly": false,
        "adwordsReportingEnabled": false,
        "membershipEnabled": false,
        "facebookAdsReportingEnabled": false,
        "attributionsReportingEnabled": false,
        "settingsEnabled": true,
        "tagsEnabled": true,
        "leadValueEnabled": true,
        "marketingEnabled": true,
        "agentReportingEnabled": true,
        "botService": false,
        "socialPlanner": true,
        "bloggingEnabled": true,
        "invoiceEnabled": true,
        "affiliateManagerEnabled": true,
        "contentAiEnabled": true,
        "refundsEnabled": true,
        "recordPaymentEnabled": true,
        "cancelSubscriptionEnabled": true,
        "paymentsEnabled": true,
        "communitiesEnabled": true,
        "exportPaymentsEnabled": true
      },
      "scopes": "campaigns.readonly",
      "roles": {
        "type": "account",
        "role": "admin",
        "locationIds": [
          "ve9EPM428h8vShlRW1KT"
        ],
        "restrictSubAccount": true
      },
      "deleted": false,
      "lcPhone": {
        "locationId": "+1234556677"
      },
      "platformLanguage": "en_US"
    }
  ],
  "count": 1231
}

Authorizations

Authorization
string
header
required

Use the Access Token generated with user type as Agency (OR) Private Integration Token of Agency.

Headers

Version
enum<string>
required

API Version

Available options:
2021-07-28

Body

application/json
companyId
string
required

Company ID to filter users

Example:

"5DP41231LkQsiKESj6rh"

emails
string
required

Comma-separated list of email addresses to filter users

Example:

"user1@example.com,user2@example.com"

deleted
boolean
default:false

Filter deleted users

Example:

false

skip
string
default:0

No of results to be skipped before returning the result

Example:

"1"

limit
string
default:25

No of results to be limited before returning the result

Example:

"10"

projection
string

Projection fields to return. Use "all" for all fields, or specify comma-separated field names. Default returns only id and email

Example:

"all"

Response

Successful response

users
object[]
count
number
Example:

1231

Last modified on March 4, 2026